NOV
6
2000

More KDE 2.0 Binaries Available (Yes, RedHat 6.2 too)

Several of you have written in to note that Red Hat 6.2 rpms for KDE 2 are now available here. A full list of KDE 2.0 binaries for the various distributions/versions is below -- if you know of any more please add a comment. Remember, folks, these rpms are not built by the KDE Team. Update: 11/06 10:16 PM. It appears the mirrors have still not picked up the rpms -- here is a direct link to the KDE ftp site.

Here is a list of the KDE 2.0 binaries available as of todayt:

Comments

Is it me or aren't there any kde 2.0 binaries following the link ("here") ?

Besides that, the link mentioned in the list of kde 2.0 binaries available seems dead.


By Jelmer Feenstra at Mon, 2000/11/06 - 6:00am

Darn right, the binaries are not there. Is somebody going to fix this problem, or were they vapour to begin with?


By Karl Schroeder at Mon, 2000/11/06 - 6:00am

Vapour? They programmed an entire desktop system. I could be wrong, but I think you have never even coded a 'Hello world' program.


By David at Tue, 2000/11/07 - 6:00am

For some reason, they linked to Sourceforge. The official KDE.org ftp site has them.


By Kevin Breit at Mon, 2000/11/06 - 6:00am

Slackware binaries are available as well under slackware-current.


By David Johnson at Mon, 2000/11/06 - 6:00am

Anyone got binaries for Solaris ?
Or know where I can get them ?

Thanks
CP


By cph at Mon, 2000/11/06 - 6:00am

I was in touch with Luc I. Suryo, who made the binaries for KDE 1.1.2 and Qt-1.44, and he told me that he should try to have the binaries for KDE2 and Qt 2.2.1 done by the 2nd or 3rd week of November.


By Mats Eriksson at Mon, 2000/11/06 - 6:00am

I am working directly with Luc Suryo to get the solaris binaries out....I have actually fixed all of the bugs in the Solaris binaries and am pkging the x86 ones up now. They are ready to be shipped off to ftp. They should be available via ftp.kde.org or ftp.patriots.org in the next day or so.


By dcranford at Tue, 2000/11/07 - 6:00am

I am wondering if you would be kind enough to look into the following comments regarding compilation of kde on Solaris 8.
I have tried to compile kde-2 on Ultra 10
running Solaris 8. I had 3 problems, 2 I fixed
myself but can not do the third.
1) kdenetwork-2.0
There is a problem with /var/utmp. Solaris 8
uses /var/utmpx not utmp. I made a link utmp
to utmpx, then it compiled fine. But there may be
a better way.

2) kdemultimedia-2.0
There is a problem in kmidi/TIMIDITY. The file
makelinks contains links 'ln -sf' to files in
parent directory. But Solaris 8 does not like the
link options 'ln -sf'. But it works with the
modified options: 'ln -f -s' . It compiled fine.

3) koffice-2.0. I still have a problem compiling. After running make for some time, I get the following error:
------------------

attached

------------

Thank you very much.


By Chris Papachristou at Tue, 2000/11/07 - 6:00am

Hi,

I've seen binaries for Solaris 8 are available on ftp.kde.org. Unfortunatly I'm using Solaris 2.6. Any chance there will be one day binaries for this version ?
I've actually tried to compile the sources but got too many problems and gave up...


By Lionel Graff at Wed, 2000/11/15 - 6:00am

Really ?
I tried to find them in pub/kde/stable/2.2
I only found the bin.tar.bz2 files ?
I dunno how to install them

Is there a pkg release somewhere for 2.2 or 2.2.1 ?

Thanks in advance

Vincent


By Vincent Croquette at Tue, 2001/11/06 - 6:00am

I second that question, I run SunOS 5.6 on a SUN Ultra 250 and have tried to installe KDE2.0 from source, using GNU g++.
I managed to comple QT-2.2.1 and libz (threw libz into the QT lib/include-dirs, simply and ugly ;)
But the kdelibs compilation stops with errors, trying to delete an instantiation of a template class (see below), so I am just sitting here now waiting for someone to pick up where I stopped.

kcompletionbase.cpp: In method `KCompletionBase::~KCompletionBase()':
kcompletionbase.cpp:46: type `class QGuardedPtr' argument given to `delete', expected pointer
make[3]: *** [kcompletionbase.lo] Error 1


By jimbo at Tue, 2000/11/07 - 6:00am

I never got the konqueror to browse web pages...
(rh6.2 x86)
It complained something about /usr/lib/klibssl or something like that.


By Patrik Wallström at Mon, 2000/11/06 - 6:00am

You need to install openssl (and any of it's depencies). Konqueror needs that to view secure sites. You might be able to get a version that doesn't require openssl, such versions exist for Debian GNU/Linux.


By AArthur at Mon, 2000/11/06 - 6:00am

Lies! Lies! The rh6.2 binaries are not where that link shuffles you. Only a couple of SRPMS, but no binaries.

lies! lies!

--arcade


By arcade at Mon, 2000/11/06 - 6:00am

Your attitude is pathetic. Remember that these people are providing a whole desktop system for free. For F R E E !


By David at Tue, 2000/11/07 - 6:00am

Don't try to convience him.
He's a Slashdotter, so that kind of attitude is normal to him.


By Anonymous at Tue, 2000/11/07 - 6:00am

If there is any fault with KDE 2 it is that it is not so easy for newbies to install. The mandrake RPMs are a good example. Simply trying to install them on Mandrake 7.1 or older is an exercise in patience getting all the dependencies, very likely breaking X and other things with the new initscripts and upon completion Konqueror will not work right nor much else. In fact in theory you have remove all old KDE 1 rpms which are not all conveniently named starting with a k.

I have installed from source and found it not to be to difficult at all, plus everything works, kde1 is still 100% and I have a pristeen install instead of one that is distro-ized with different menus, icons and splash screens.. I know of no one from the Mandrake newsgroup proclaiming total victory installing from RPM.

It would be great if KDE had more assistance in packaging etc... however I think this misses the point. It really is up to distros to package. They do the RPMs. They make all the different ways to start X and customize all the tweaks. While it would be great to have a Helix like install I thihk it is impractical and too time consuming for KDE developers to have to think about packaging.

I thought about packaging for older versions of Mandrake however with the Quanta editor most of the problems we encountered were from RPM installs. I realize that even if I have unlimited bandwidth on my server I can't justify the email requests for help. Only a distro can afford that and guess what? They want to sell new boxes... or you can download the CDs for free.

I have created a help page for mandrake users for getting exactly the prep files they need and walking them through the steps of an install including even how to get the new kdm on line. I think we have to realize that RPMs are a double edge sword. They are faster to install but they remove choices. They are also nightmarish to make and have such a complex variety for point numbers and distros (on the level of KDE 2) as well as back end service issues. We should expect RPMs pretty much just from distros and generally only supporting thier new releases, at least on the complexity level of a project like KDE 2.

If you would like to look at my Mandrake help page it is here.


By Eric Laffoon at Mon, 2000/11/06 - 6:00am

It is a real shame that Mandrake is not releasing rpms for their "old" products (7.0 and 7.1), and only for the brand-new 7.2

Like you, I ended up spending a lot of time upgrading my system (after looking at your helpful page :-) ), and a lot of time downloading the source.
Luckily, the compile went flawlessly, and i now have a very stable KDE2

However, I'm sure that there are many Mandrake users out there that are very happy with their 7.0 or 7.1 (like me), but unable to spend a day (thats how long it takes with ISDN) to download and install the upgrades and the KDE2 source

If only I was less curious.. then I would have been able to save a lot of time by waiting a bit and instead buying (again!!) yet another Mandrake CD


By Erlend Boe at Tue, 2000/11/07 - 6:00am

Thanks for this. I recently (here) tried to answer a question on installing KDE 2.0 on Mandrake 7.1 and found it hard. Some of the required dependencies seemed to be unavailable as Mandrake RPMs.

My answer was based on "Be careful:..." which I based on what I could see in RPMFIND, Cooker and other sites.


By Paul C. Leopardi at Tue, 2000/11/07 - 6:00am

I had problems starting konqueror and everythig else with KDE2, because I am stage with Mandrake where I don't think what I am doing. :-)

Anyhow, I got installed every packages except kdebase with rpm -ivh *.rmp. I downloaded rpm's from ftp.kde.org. Kdebase was version kde 1.2. I made upgrade from downloaded iso of 7.2 from version 7.1. I leave you guess what went wrong, I even thougth to made some report to mandrake. ;-) Below are notes which I wrote down, when I tryed to install downloaded version from ftp.kde.org. Oh, I had kde2-beta in /opt/kde2 :-)

kdebase ###############################unpacking of archive
failed on file /usr/share/apps/kdm/pics/users: cpio: unlink

file /usr/bin/khotkeys from install of kdebase-2.0-1mdk conflicts with file from package khotkeys-1.0.3-3mdk
file /usr/bin/kdesu from install of kdebase-2.0-1mdk conflicts with file from package kdesu-0.98-13mdk
file /usr/bin/kdesud from install of kdebase-2.0-1mdk conflicts with file from package kdesu-0.98-13mdk

at least:

warning: /etc/X11/wmsession.d/01KDE created as /etc/X11/wmsession.d/01KDE.rpmnewwarning: /etc/menu-methods/kde created as /etc/menu-methods/kde.rpmnew
warning: /etc/pam.d/kde created as /etc/pam.d/kde.rpmnew
warning: /etc/profile.d/kde.csh created as /etc/profile.d/kde.csh.rpmnew
warning: /etc/profile.d/kde.sh created as /etc/profile.d/kde.sh.rpmnew
kdebase ##################################################


By anon at Mon, 2000/11/06 - 6:00am

For a start, it looks like the rpm you downloaded is corrupted, try downloading it again or from a different server (mirror)
Secondly you should install all the binaries with rpm -Uvh to remove the old KDE 1.1.2 packages (U for upgrade)
As for the conflicts, It will porbably be ok to force the installation agains the kdesu package by doing rpm -Uvh --nodeps kdebase-.....
It will overwrite the 3 files from kdesu-0,98 but if Mandrake have been consistent (I would imagine so :-)) then the replacement shouldn't matter. Either that or just uninstall kdesu-0.98 first but there may be other packages that depend on it.
Good Luck


By stephen harker at Tue, 2000/11/07 - 6:00am

Hi,

Remove or rename the /usr/share/apps/kdm/pics/users directory, this will allow the RPM to install what it needs. It wants to make a symlink, and can't. Try forcing the update on the rest of them, it works. I do agree though, the packaging could have been better :-) At least, leaving KDE 1.1.2 there would have been a nice option for those who didn't want to jump in too deep.

Regards,

Lester


By Lester Barrows at Tue, 2000/11/07 - 6:00am

Mandrake is actually very easy.

Basically you should:

boot a gnome or failsafe X session
uninstall ALL of kde1 (try rpm -qa |grep kde) kdebase, kdesupport, kdegames, etc. Plus uninstall of its apps (e.g., kpacman)

Then uninstall qt & qt2 and any of its apps (probably won't be many non-kde qt apps; nethack is one, however), because the new qts will be incompatible.

Then download new qt and qt2 rpms from Mandrake, plus all the basic kde rpms (koffice, kdebase, kdesupport, etc.), plus any other qt/kde apps you want (e.g., kpacman).

In addition you'll need to upgrade mandrake_desk and menu; you also might need to upgrade other things; e.g., menudrake. There might be related dependencies; e.g., rpm 4, but these should be ok.

rpm -U *should* work the same rpm -e and then rpm -i, but for several reasons (e.g., the new kde1-compat rpm, which won't work too well with the old packages otherwise), I'd recommend the rpm -e approach.

But whatever you do, don't rpm -i, which will try to install *both* versions


By Mike Hunt at Tue, 2000/11/07 - 6:00am

is there any 'howto' document for upgrading from KDE1.1.2 to KDE2.0?


By mathi at Mon, 2000/11/06 - 6:00am

I would also like to know...
Is it enough to do rpm -Uvh packages ?
Or are there post-installation procedures ?
thanks. Martin


By Martin at Tue, 2000/11/07 - 6:00am

This is only the beginning of an answer:

In "Be careful:..." I showed that RPMs for each distribution assume a different directory structure and also make different assumptions about whether to keep KDE 1.1.2, install over it, or re-install it as a compatibility library.

In this case, and for other reasons, the post-installation steps will vary with your distribution and version.

I am looking for the right post-installation steps for SuSE 7.0. I would like to get rid of all obsolete references to /opt/kde in files under /etc and /sbin. Some of these references should be changed to /opt/kde2, but only in some files and not others. These post-installation steps do not apply to Red Hat or Mandrake because they use a different directory structure.

Also, I installed from the SuSE RPMs at KDE and not those at SuSE, and I'm not sure if there are any differences besides the SuSE installation shell script which exists at SuSE but not at KDE.

See also this posting.


By Paul C. Leopardi at Tue, 2000/11/07 - 6:00am

I'm posting using the RedHat 6.2 version of Konqueror right now. Does anyone know if RedHat used the faster KDE compilation options, such as -fno-exceptions and -O2? How can I find out?


By Simon Arthur at Mon, 2000/11/06 - 6:00am

Good news to some who got disappointed:
ftp://ftp.kde.org/pub/kde/stable/2.0/distribution/rpm/RedHat/rh6.2/i386/
really includes binary rpms.
Also Dre may sigh for relief, he will not be killed :), but he should update the links.


By Eeli Kaikkonen at Mon, 2000/11/06 - 6:00am

The rpms for RedHat 7.0 is not so good.
First, the libmng and qt-2.2.1 is missing;
Second, even after downgrade the libpng, some
kde program like kcontrol still keep crash/give
core dump when you try to close it after play
with it for a while. Anyone knows what's wrong?


By trelos at Tue, 2000/11/07 - 6:00am

See "Be careful..." for some hints. I do not use Red Hat, so I have not been able to test it for accuracy, but I have submitted it for inclusion in the KDE FAQ.


By Paul C. Leopardi at Tue, 2000/11/07 - 6:00am

RH 6.2 install went smoothly - thanks! Only problem is that Konqueror refuses to display web pages unless (and this is the odd bit) it is started from a terminal. Starting it from the panel, a desktop link, or even right-clicking an html file and say Open With... konqueror, gives a "Could not create view for text/html" error. Any ideas?


By Uri Zarfaty at Tue, 2000/11/07 - 6:00am

The installation did not go smoothly for me and I ended up removing KDE 1 to install KDE2

Now everything seems to work except Help, Konqueror and kMail....

I get the same html/text error on opening web pages.

Does anyone know how to fix these problems?


By Stuart Tippins at Tue, 2000/11/07 - 6:00am

By installing OpenSSL 0.9.6 binary RPM...

If one of the KDE FTP maintainer will allow me to upload - I will upload tommorow a Redhat 6.2 RPM which I made...

Hetz


By Hetz at Wed, 2000/11/08 - 6:00am

"Could not create view for text/html", in Konqueror.

I had a similar problem and message, in spite of having made Konqueror the primary HTML reader. Other accounts on the same computer worked fine, so I compared the settings: by changing the configuration for the html file-type in the "Embedding" tag, and putting "KHTML" as the only thing in the "Services preference order" it all worked.


By Nathaniel Taylor at Fri, 2003/01/17 - 6:00am

Hello,
Can anyone tell me where to find the PowerPC RPM's?? the link ( ftp://ftp.kde.org/pub/kde/stable/2.0/distribution/rpm/ppc-glibc21/ ) leads to and empty folder and it has been leading to that empty folder for weeks now. Can anyone tell me which, if any, server has the PPC binaries? how much longer will Mac users have to wait to experience KDE 2?

thanks,
appleweek@mindspring.com


By MacPlus at Tue, 2000/11/07 - 6:00am

Hello,
Can anyone tell me where to find the PowerPC RPM's?? the link ( ftp://ftp.kde.org/pub/kde/stable/2.0/distribution/rpm/ppc-glibc21/ ) leads to and empty folder and it has been leading to that empty folder for weeks now. Can anyone tell me which, if any, server has the PPC binaries? how much longer will Mac users have to wait to experience KDE 2?

thanks,
appleweek@mindspring.com


By MacPlus at Tue, 2000/11/07 - 6:00am

I am trying to run KMail and a few other apps without running KDE2 and I get a bunch of errors, and then all of the toolbars and menus are missing from the app.

The errors are QObject::connect errors to KMMainWin and many others

Is there a secret I am missing?


By Frustrated at Tue, 2000/11/07 - 6:00am

SuSE has KDE 2.0 download information including FTP sites and URLs at http://www.suse.com/us/support/download/kde2/index.html and instructions given in a FAQ at http://www.suse.com/us/support/download/kde2/faq.html

The SuSE RPMs at SuSE have a different directory structure and come with an installation script which is not in the equivalent SuSE directories at KDE

The SuSE home page links to a press release at http://www.suse.com/us/suse/news/PressReleases/kde2.html

I do not work for SuSE but am running SuSE 7.0 at home, with KDE 2.0 installed and running, but missing some post-installation steps.


By Paul C. Leopardi at Tue, 2000/11/07 - 6:00am


By Eeli Kaikkonen at Tue, 2000/11/07 - 6:00am

Well, I've yet to get the RedHat 6.2 i386 RPMs to work on my RH 6.2 system. Basically, the problem is that, after running startkde in my .xinitrc, I get:

KDesktop error dialog:
Unable to create io-slave: klauncher said: Unknown protocol 'file'

Both KDesktop and Kicker error dialogs:

* Could not fine mime type aplication/octet-stream
* No mime types installed

I submitted a bug report and David Faure responded quite fast. After checking some (to him :) obvious things, he found "kdeinit: Already running." in my .xsession-errors file. This led him to reply:

"Hmm, that's the dcopserver problem again.
I remember it has something to do with gcc 2.96 - I wonder if your packages were compiled with it ? This should go back to whoever compiled your packages, it's not a KDE bug per se."

The RPMs were downloaded from ftp.kde.org. The RPM info on them said they were built on porky.redhat.com. Anyone know how to get word to whomever built these at RedHat ?

BTW, many thanks to David Faure for his polite and speedy responses :)


By David Huff at Tue, 2000/11/07 - 6:00am

I'm running rh 6.1 and when I try to install the rpm for qt2.2.1 it complains about my open gl... i have mesa installed and actually the libgl.so.1 is on my hdd... what's the deal? can someone help me out or point me to the right package?

Thanks
Will.


By Will at Wed, 2000/11/08 - 6:00am

I can't seem to find a link anywhere (that works) to the kde 2.* binaries for Caldera edesktop 2.4

Any suggestions?


By Paul at Tue, 2002/09/17 - 5:00am